package threads_account

import (
	"net/http"

	"haixun-backend/internal/logic/threads_account"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
	"haixun-backend/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func StartThreadsOauthHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.StartThreadsOAuthQuery
		if err := httpx.Parse(r, &req); err != nil {
			response.Write(r.Context(), w, nil, response.WrapRequestError(err))
			return
		}

		l := threads_account.NewStartThreadsOAuthLogic(r.Context(), svcCtx)
		data, err := l.StartThreadsOAuth(&req)
		response.Write(r.Context(), w, data, err)
	}
}
